export async function optionalDefault(value, getDefault) {
    if (value !== undefined) {
        return value;
    }
    if (typeof getDefault === "function") {
        return await getDefault();
    }
    return getDefault;
}
//# sourceMappingURL=optionalDefault.js.map